package libgdict-common 3.4.0-1 failed to install/upgrade: trying to overwrite '/usr/share/gdict-1.0/sources/default.desktop', which is also in package gnome-utils 2.30.0-0ubuntu1.1

Bug #1015739 reported by vishnuch on 2012-06-20
28
This bug affects 3 people
Affects Status Importance Assigned to Milestone
gnome-dictionary (Ubuntu)
Undecided
Unassigned
Precise
Medium
Unassigned

Bug Description

[Test Case]
1. Upgrade from lucid to precise with gnome-utils and gnome-dictionary installed

[Regression Potential]
Almost none as this just adds a breaks/replaces to assist with upgrades
As this was uploaded near the end of the precise cycle, it's unlikely any toolchain changes occurred which might break this package

-------------------------------------------

Not sure about the bug

ProblemType: PackageDistroRelease: Ubuntu 12.04
Package: libgdict-common 3.4.0-1
ProcVersionSignature: Ubuntu 2.6.32-41.90-generic 2.6.32.59+drm33.24
Uname: Linux 2.6.32-41-generic i686
ApportVersion: 2.0.1-0ubuntu8
Architecture: i386
Date: Wed Jun 20 10:20:03 2012
Dependencies:

DuplicateSignature:
 Unpacking libgdict-common (from .../libgdict-common_3.4.0-1_all.deb) ...
 dpkg: error processing /var/cache/apt/archives/libgdict-common_3.4.0-1_all.deb (--unpack):
  trying to overwrite '/usr/share/gdict-1.0/sources/default.desktop', which is also in package gnome-utils 2.30.0-0ubuntu1.1
ErrorMessage: trying to overwrite '/usr/share/gdict-1.0/sources/default.desktop', which is also in package gnome-utils 2.30.0-0ubuntu1.1InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100427.1)
PackageArchitecture: allSourcePackage: gnome-dictionary
Title: package libgdict-common 3.4.0-1 failed to install/upgrade: trying to overwrite '/usr/share/gdict-1.0/sources/default.desktop', which is also in package gnome-utils 2.30.0-0ubuntu1.1
UpgradeStatus: No upgrade log present (probably fresh install)

vishnuch (vishnu-pls) wrote :
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-dictionary (Ubuntu):
status: New → Confirmed
Micah Gersten (micahg) wrote :

Invalid in the devel release since this is a lucid -> precise issue

Changed in gnome-dictionary (Ubuntu):
status: Confirmed → Invalid
Changed in gnome-dictionary (Ubuntu Precise):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Medium
status: New → In Progress
Micah Gersten (micahg) on 2012-08-26
description: updated
Micah Gersten (micahg) wrote :

Uploaded to precise-proposed, awaiting SRU review

Changed in gnome-dictionary (Ubuntu Precise):
status: In Progress → Fix Committed
assignee: Micah Gersten (micahg) → nobody

Hello vishnuch, or anyone else affected,

Accepted gnome-dictionary into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gnome-dictionary/3.4.0-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-dictionary - 3.4.0-1ubuntu0.1

---------------
gnome-dictionary (3.4.0-1ubuntu0.1) precise-proposed; urgency=low

  * fix LP: #1015739 - overwrite files failed; gnome-utils is now a
    transitional package in precise and we need an extra breaks/replaces for
    libgdict-common on gnome-utils to allow upgrades from lucid to precise
    - update debian/control{,.in}
 -- Micah Gersten <email address hidden> Sun, 26 Aug 2012 04:33:07 -0500

Changed in gnome-dictionary (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers